require 'spec_helper'

describe Redisque do

  let(:queue_data) {[
      {:weather => 'is good'}.to_json,
      {:sky => 'is blue'}.to_json
  ]}

  let(:redis) {
    mock('redis', { :rpoplpush => queue_data[0], :rpop => queue_data[0] })
  }

  before(:each) do
    Redisque.stub(:redis).and_return redis
  end

  it ".process" do
    Redisque.process('queue') do |data|
      expect(data.has_key?('weather')).to be_true
    end
  end

end